@import '../../variables.scss';

.timer {
  display: flex;
  flex-direction: column;
  height: 507px;
}

.isStart {
  .timerHead {
    background-color: $red;
  }

  .timerTime {
    color: $red
  }
}

.isPause {
  .timerTime {
    color: #333 !important
  }
}

.isRest {
  .timerHead {
    background-color: $green;
  }

  .timerTime {
    color: $green
  }
}

.timerHead {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 55px;
  padding: 0 40px;
  background-color: $grayC;
  color: #fff;
  transition: 0.3s ease-out;
}

.timerBody {
  flex-grow: 1;
  background-color: $grayF;
  display: flex;
}

.timerInner {
  margin: auto;
  text-align: center;
}

.timerTime {
  font-size: 150px;
  line-height: 179px;
  font-weight: 200;
  transition: 0.3s ease-out;
}

.timerText {
  color: $gray9;

  span {
    color: #333;

    &:not(:empty) {
      &:before {
        content: '- '
      }
    }
  }
}

.timerActions {
  margin-top: 32px;

  button+button {
    margin-left: 24px;
  }
}

.timerTime {
  margin-right: -74px;

  span {
    display: inline-block;
    width: 400px;
    vertical-align: middle;
  }

  button {
    width: 50px;
    height: 50px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: $grayC;
    vertical-align: middle;
    margin-left: 24px;

    &:hover {
      background-color: $greenDark;
    }
  }
}